# OPDS Catalog

## Get the OPDS Catalog

> Get the Archive Index as an OPDS 1.2 Catalog with PSE 1.1 compatibility.

```json
{"openapi":"3.1.0","info":{"title":"LANraragi API","version":"0.9.6"},"tags":[{"name":"opds","description":"Endpoints related to OPDS catalog generation and serving."}],"servers":[{"url":"https://lrr.tvc-16.science/api"}],"paths":{"/opds":{"get":{"operationId":"getOpdsCatalog","summary":"Get the OPDS Catalog","description":"Get the Archive Index as an OPDS 1.2 Catalog with PSE 1.1 compatibility.","tags":["opds"],"parameters":[{"name":"category","in":"query","required":false,"schema":{"type":"string"},"description":"Category ID. If passed, the OPDS catalog will be filtered to only show archives from this category."}],"responses":{"200":{"description":"OPDS catalog XML","content":{"application/xml":{"schema":{"type":"string"}}}}}}}}}
```

## Get a specific archive through OPDS

> Returns a specific OPDS item as XML. This will show only one \<entry\\> for the given ID in the result, instead of all the archives.

```json
{"openapi":"3.1.0","info":{"title":"LANraragi API","version":"0.9.6"},"tags":[{"name":"opds","description":"Endpoints related to OPDS catalog generation and serving."}],"servers":[{"url":"https://lrr.tvc-16.science/api"}],"paths":{"/opds/{id}":{"get":{"operationId":"getOpdsItem","summary":"Get a specific archive through OPDS","description":"Returns a specific OPDS item as XML. This will show only one <entry\\> for the given ID in the result, instead of all the archives.","tags":["opds"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OPDS entry XML","content":{"application/xml":{"schema":{"type":"string"}}}}}}}}}
```

## OPDS-PSE

> Returns a specific image page for OPDS-PSE as XML.

```json
{"openapi":"3.1.0","info":{"title":"LANraragi API","version":"0.9.6"},"tags":[{"name":"opds","description":"Endpoints related to OPDS catalog generation and serving."}],"servers":[{"url":"https://lrr.tvc-16.science/api"}],"paths":{"/opds/{id}/pse":{"get":{"operationId":"getOpdsPage","summary":"OPDS-PSE","description":"Returns a specific image page for OPDS-PSE as XML.","tags":["opds"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Image file for the requested page","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```
